package com.ycwl.basic.service.pc;

import com.ycwl.basic.model.pc.scenic.entity.ScenicAccountEntity;
import com.ycwl.basic.model.pc.scenic.req.ScenicAccountReqQuery;

import java.util.List;

public interface ScenicAccountService {
    int addScenicAccount(ScenicAccountEntity entity);
    int deleteScenicAccount(Long id);
    int updateScenicAccount(ScenicAccountEntity entity);
    ScenicAccountEntity getScenicAccountById(Long id);
    ScenicAccountEntity getSuperAccountByScenicId(Long scenicId);

    // 新增分页查询方法定义
    List<ScenicAccountEntity> pageQuery(ScenicAccountReqQuery req);

    int updateStatus(Long id);

    int updateActiveStatus(Long id);

    ScenicAccountEntity getScenicAccountByAccount(String account);
}